Skip to main content
`Ctrl`+`K`

# skbio.stats.gradient.GradientANOVAResults

class skbio.stats.gradient.GradientANOVAResults(algorithm, weighted, categories)

  Store the trajectory results.

  Attributes:
    algorithm str

      The algorithm used to compute trajectories

    weighted bool

      If true, a weighting vector was used

    categories list of CategoryResults

      The trajectory results for each metadata category

  Methods

  `to_files` | Save the trajectory analysis results to files in text format.

  Special methods (inherited)

  `__eq__` | Return self==value.
  `__ge__` | Return self>=value.
  `__getstate__` | Helper for pickle.
  `__gt__` | Return self>value.
  `__hash__` | Return hash(self).
  `__le__` | Return self<=value.
  `__lt__` | Return self<value.
  `__ne__` | Return self!=value.
  `__str__` | Return str(self).

  Details